# Generated by Django 2.0.5 on 2018-10-25 09:02

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0024_auto_20181005_1239'),
    ]

    operations = [
        migrations.RenameField(
            model_name='devicetypes',
            old_name='product_instance_id',
            new_name='product_id',
        ),
        # Update Device manufacturer data. Change key "product_instance_id" to "product_id"
        migrations.RunSQL("UPDATE core_devicemanufacturerdata "
                          "SET data = data - 'product_instance_id'|| jsonb_build_object('product_id', data->'product_instance_id') "
                          "WHERE data ? 'product_instance_id';")
    ]
